/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.security;

/**
 * Strings for security classes
 * 
 * @version $Id: ResourceStrings.java,v 1.1 2004/05/25 14:58:53 rmenday Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {

	final static Object[][] contents = new String[][]{
			{"NO_PRIVATE", "Cannot extract private key."},
			{"CANT_LOAD", "Unable to load one or more certificate(s)."},
			{"NEW_KEYSTORE", "Generated new keystore:  \n"},
			{"CHECK_FAILED", "Keystore integrity check failed."},
			{"NO_KEYSTORE", "Keystore not found: "},
			{"CANT_OPEN", "Cannot open:"},
			{"K_CHECK_FAILED", "Keystore check failed:  "},
			{"CANT_SIGN", "Cannot sign AJO with user\'s private key!"},
			{"EMPTY_KS", "Empty keystore!"},
			{"NO_USER", "No user certificates found!"},
			{"NO_CA", "No CA certificates found!"},
			{"MISSING_KEYSTORE", "Invalid or missing keystore."},
			{"CERT_FOR", "Certificate for: "},
			{"EXPIRED", " is expired."},
			{"NOT_VALID", " is not yet valid."},
			{"WRONG_ALG", "Unsupported signature algorithm."},
			{"INVALID_PUBLIC", "Invalid public key."},
			{"NO_PROVIDER", "No default provider."},
			{"INVALID_SIGN", "Invalid signature (CA)."},
			{"INVALID_CERT", "Invalid certificate."},
			{"NO_VALID_USER", "No valid user certificates found!"},
			{"NO_VALID_CA", "No valid CA certificates found!"},
			{"INTEGRITY_FAILED", "KeyStore integrity check failed."},
			{"EMPTY_KEYSTORE", "Empty keystore."},
			{"BLANK", " "},
			{"CERTS_INVALID",
					"One or more certificates in the keystore are invalid!!"},
			{"MISSING_ALG", "Encryption algorithm(s) not available"},
			{"ALIAS", "Alias: "}, {"NOT_IN_KS", " not found in keystore"},
			{"NO_NEW_KS", "Cannot generate new keystore."},
			{"CANT_STORE", "Cannot write keystore."},
			{"WRONG_TYPE", "Wrong keystore type selected."},
			{"UNKNOWN_FORMAT", "Unknown keystore format."},
			{"NO_USER_CERT", "User certificate not found"},
			{"CRL_OUTDATED", "CRL is outdated."},
			{"CRL_SIGNER", "Cannot verify CRL signer"},
			{"CRL_SIGNATURE", "Cannot verify CRL signature"},
			{"CRL_KEY", "Cannot obtain CRL signer\'s key"},
			{"BAD_CRL", "Invalid CRL"},
			{"INVALID_SIGNATURE", "Invalid signature."},
			{"NO_CLASSES", "Can\'t define sun/java classes"},
			{"EMPTY_KEYSTORE", "Empty keystore"},
			{"INVALID_KS", "Invalid keystore"}};

	/**
	 * Gets the Contents attribute of the ResourceStrings object
	 * 
	 * @return The Contents value
	 */
	public Object[][] getContents() {
		return contents;
	}
}