/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.unicore.client.panels;

/**
 * Strings for panels
 * 
 * @version $Id: ResourceStrings.java,v 1.1 2004/05/25 14:58:48 rmenday Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {

	final static Object[][] contents = new String[][]{
			{"IGNORING_INCOMPLETE", ": Ignoring incomplete rows: \n"},
			{"ENTER_IDENTIFIER", "Enter identifier for this task"},
			{"NAME", "Name: "},
			{"EXPORT_BORDER", "File Export"},
			{"USPACE_NAME", "File in Job Directory"},
			{"USPACE_DIRECTORY", "Directory in Job Directory"},
			{"DESTINATION", "Destination"},
			{"NAME_AT_DEST", "File at Destination"},
			{"DIRECTORY_AT_DEST", "Directory at Destination"},
			{"OVERWRITE", "Overwrite File(s)"},
			{"BINARY", "Binary"},
			{"SOURCE", "Source"},
			{"FILE_AT_SOURCE", "File at Source"},
			{"FILE_AT_DESTINATION", "File at Destination"},
			{"DIRECTORY_AT_SOURCE", "Directory at Source"},
			{"NONE", "<None>"},
			{"ADD", "Add"},
			{"REMOVE", "Remove"},
			{"BROWSE", "Browse"},
			{"SELECT_FILENAME", "Select a filename first!"},
			{"DESTINATION_JOB", "Destination Job Group"},
			{"SIZE", "Size: "},
			{"IMPORT_BORDER", "File Import"},
			{"CONTACTING", "Contacting "},
			{"GET_VSITES", " to get available virtual sites..."},
			{"LOAD_RESOURCES", " to load resources..."},
			{"SELECTED_USITE", "Selected UNICORE site "},
			{"IN_JOB", " in job "},
			{"NOT_AVAILABLE", " is not available!"},
			{"NO_VSITES", "Unable to read virtual sites from "},
			{"SELECTED_VSITE", "Selected virtual site "},
			{"ENTER_JOB_ID", "Enter identifier for this job group"},
			{"SELECT_USITE", "Select a UNICORE site"},
			{"USITE", "UNICORE Site"},
			{"SELECT_VSITE", "Select a virtual site"},
			{"GET_VSITE_INFO", "Get information about virtual site"},
			{"RELOAD_USITE", "Reload the usite database"},
			{"VSITE", "Virtual Site"},
			{"ENTER_EMAIL",
					"Enter the address where the batch system should send emails"},
			{"ENTER_LOGIN", "Experts only! Enter the login name to be used"},
			{"ENTER_PROJECT",
					"Experts only! Enter the project idenfication to be used"},
			{"USER_INFO", "User Information"},
			{"EMAIL", "Email"},
			{"LOGIN", "Login:"},
			{"PROJECT", "Project:"},
			{"JOB_GROUP", "Job Group"},
			{"ARRANGE_GRAPH", "Arrange Graph"},
			{"DEPENDENCY_BORDER", "Task Dependencies"},
			{"SEARCHING_VSITES", "Looking up virtual sites ..."},
			{"NO_RESOURCES", "Unable to load resources from virtual site "},
			{"OPERATION_BORDER", "File System Operation"},
			{"ARG_TIP", "Enter command line arguments"},
			{"ENV_TIP", "Enter environment variables"},
			{"ARGUMENTS", "Arguments"},
			{"CMD_LINE", "Command line: "},
			{"ENVIRONMENT", "Environment: "},
			{"DEBUG", "Run in debug mode"},
			{"PROFILING", "Run with profiling"},
			{"TIMING", "Run with timing"},
			{"SHOW_VERSION", "Show executable version"},
			{"VERBOSE", "Verbose execution"},
			{"OPTIONS", "Runtime options"},
			{"REDIRECT_STDOUT", "Redirect stdout to:"},
			{"REDIRECT_STDERR", "Redirect stderr to:"},
			{"REDIRECT_STDIN", "Redirect stdin from:"},
			{"OUTNAME", "Enter filename for stdout"},
			{"ERRNAME", "Enter filename for stderr"},
			{"INNAME", "Enter filename for stdin"},
			{"OUT_IN_ERR", "Redirect to file in job directory"},
			{"SAVE_OUT", "UNICORE: Save Standard Output"},
			{"SAVE_ERR", "UNICORE: Save Standard Error"},
			{"SAVE_EXPORT", "UNICORE: Save exported files list"},
			{"SAVE_MESSAGES", "UNICORE: Save message list"},
			{"SAVE", "Save"},
			{"SAVE_CERT", "Save all information about this certification"},
			{"STDOUT", "Standard Output"},
			{"STDERR", "Standard Error"},
			{"DETAILS", "Details"},
			{"LOG", "Log"},
			{"SAVE_JOB_FAILED", "Saving Job Output failed: "},
			{"NO_OUTCOME", "NO OUTPUT..."},
			{"NO_OUTCOME_N", "No output available.\n"},
			{"UNUSED_REQUEST", "Resource request will not be used"},
			{"ENTER_REQUEST", "Enter request value"},
			{"ENTER_VALUE", "Enter a value between "},
			{"AND", " and "},
			{"SITE_DEFAULT", ". The site default is "},
			{"PRIORITY_TIP", "Select priority for task"},
			{"RESOURCE_TIP", "Toggle resource request on/off"},
			{"PRIMARY1", "UNICORE: Select primary color 1"},
			{"PRIMARY2", "UNICORE: Select primary color 2"},
			{"PRIMARY3", "UNICORE: Select primary color 3"},
			{"SECONDARY1", "UNICORE: Select secondary color 1"},
			{"SECONDARY2", "UNICORE: Select secondary color 2"},
			{"SECONDARY3", "UNICORE: Select secondary color 3"},
			{"TEXT_COLOR", "UNICORE: Select text color"},
			{"BACK_COLOR", "UNICORE: Select background color"},
			{"PRIMARY1_TIP",
					"Primary1: active window borders, shadows of selected items, labels"},
			{
					"PRIMARY2_TIP",
					"Primary2: selected menu titles and items, active scroll boxes, and "
							+ "progress bar fill"},
			{
					"PRIMARY3_TIP",
					"Primary3: large colored areas, title bar of active internal frames, "
							+ "selected text"},
			{"SECONDARY1_TIP", "Secondary1: 3D effect border"},
			{
					"SECONDARY2_TIP",
					"Secondary2: inactive window borders, shadows, pressed buttons,  dimmed "
							+ "command button text"},
			{
					"SECONDARY3_TIP",
					"Secondary3: background canvas and inactive title bars for internal "
							+ "frames"}, {"BLACK_TIP", "Black: control text"},
			{"WHITE_TIP", "White: window background"}, {"COLORS", "Colors"},
			{"TRANSFER_BORDER", "File Transfer"},
			{"UNICORE_RESOURCES_XML", "Resources in XML format (*.xml)"}};

	public Object[][] getContents() {
		return contents;
	}
}