/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.unicore.connection;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.net.URL;
import java.net.URLConnection;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFrame;

/**
 * Class reads file contents as a String from an URL. If a proxy server is used
 * it may ask for authorization with a dialog.
 * 
 * @author Ralf Ratering
 * @version $Id: URLReader.java,v 1.1 2004/05/25 14:58:51 rmenday Exp $
 */
public class URLReader {

	private static Logger logger = Logger
			.getLogger("com.pallas.unicore.connection");

	public static void main(String args[]) {
		try {
			URLReader reader = new URLReader();
			ProxyManager.useProxy("webcheck.pallas.com", 8080, "");
			System.err.println(">>>>>>>>>>>>>>>>>>>>>>HTML-PAGE:");
			URL url = new URL("http://www.unicorepro.com/unicoreSites.xml");
			logger.info(reader.readURL(url));
		}
		catch (Exception e) {
			logger.log(Level.WARNING, "Could not read URL.", e);
		}
	}

	public URLReader() {
		this(null);
	}

	public URLReader(JFrame parent) {
		ProxyManager.setParent(parent);
	}

	public String readURL(URL url) throws IOException {
		URLConnection uc = url.openConnection();
		InputStream content = (InputStream) uc.getInputStream();
		BufferedReader in = new BufferedReader(new InputStreamReader(content));
		String line;
		StringWriter sw = new StringWriter();
		PrintWriter pw = new PrintWriter(sw);
		while ((line = in.readLine()) != null) {
			pw.println(line);
		}
		return sw.toString();
	}
}