/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.unicore.extensions;

/**
 * @author Ralf Ratering
 * @version $Id: ReturnCodeTestType.java,v 1.1 2004/05/25 14:58:45 rmenday Exp $
 */
public class ReturnCodeTestType extends TestType {

	public final static int EQUAL = 1, NOT_EQUAL = 2, GREATER = 3, LESS = 4,
			GREATER_OR_EQUAL = 5, LESS_OR_EQUAL = 6, SUCCESSFUL = 7,
			NOT_SUCCESSFUL = 8;
	final static long serialVersionUID = 8990223471661011489L;

	public ReturnCodeTestType(int value) {
		super(value);
	}

	public String toString() {
		switch (value) {
			case 0 :
				return "disabled";
			case 1 :
				return "return code equals";
			case 2 :
				return "return code not equal";
			case 3 :
				return "return code greater";
			case 4 :
				return "return code less";
			case 5 :
				return "return code greater or equal";
			case 6 :
				return "return code less or equal";
			case 7 :
				return "successful";
			case 8 :
				return "not successful";
		}
		return "";
	}
}