/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.unicore.resourcemanager;

/**
 * Strings for resourcemanager classes
 * 
 * @version $Id: ResourceStrings.java,v 1.1 2004/05/25 14:58:51 rmenday Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {

	final static Object[][] contents = new String[][]{
			{"NO_USITES", "Cannot load UNICORE sites!\n Reason: "},
			{"NO_USITE_SELECTED", "No UNICORE site selected!"},
			{"NO_VSITE_SELECTED", "No virtual site selected!"},
			{"ERROR_IN_URL", "UNICORE: Error in URL"},
			{"NO_SSL_KEYSTORE",
					"Cannot access UNICORE keystore for default identity: "},
			{
					"NO_DEFAULT_CERT",
					"Cannot load certificate for default identity.\nSelect a new default "
							+ "identity using Settings->Keystore Editor"},
			{"URL_REASONS",
					"\nPossible reasons: \n- wrong URL\n- wrong configuration of proxy server"},
			{"CANNOT_LOAD_VSITE", "Cannot load vsite information from "},
			{"VSITE_REASON", "\nReason: incompatiple AJO version: "},
			{"NO_GATEWAY", "Cannot contact gateway "},
			{"REASON", "\nReason: "},
			{"BOGUS_REPLY", "Invalid reply from  "},
			{"CONNECTION_REFUSED", "Connection refused by gateway "},
			{"WRONG_ADDRESS", "\nWrong address/port?"},
			{"AUTHENTICATION", "\nAuthentication problem?"},
			{"CANNOT_LOAD_VSITES", "Unable to load virtual sites from gateway "},
			{"EMPTY_REPLY", "Invalid reply from virtual site (NJS unreachable)"},
			{"MISSING_CLASS", "Missing java class! AJO version conflict?"},
			{"WRONG_CLASS",
					"Found java class of wrong type! AJO version conflict?"},
			{"INVALID_CLASS", "Found invalid java class! AJO version conflict?"},
			{"IO_EXCEPTION",
					"Input/Output error when reading from virtual site"},
			{"UNKNOWN_HOST", "Cannot resolve host address. "},
			{"WRONG_REPLY", "Invalid reply from virtual site!"},
			{"TEST_CERT_DIALOG_TITLE", "Import test certificates"}};

	public Object[][] getContents() {
		return contents;
	}
}