package org.unicore;

/**
 * The Identifier of an AbstractAction.
 *
 * @see org.unicore.ajo.AbstractAction
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version AAIdentifier.java 1.6 05/13/02 
 * 
 **/
public class AAIdentifier extends Identifier {

    public AAIdentifier() {
        super("");
    }

    /**
     * Create a new AbstractAction Identifier with a unique value.
     *
     * @param name The name of the AbstractAction Identifier (convenience only).
     *
     **/
    public AAIdentifier(String name) {
        super(name);
    }

    /**
     * Create a new AbstractAction Identifier with the given value.
     *
     * @param name The name of the AbstractAction Identifier (convenience only).
     * @param value The value for this Identifier.
     *
     **/
    public AAIdentifier(String name, int value) {
        super(name, value);
    }

    static final long serialVersionUID = 1991616203111302110L;
}
//
// Change history:
//          15 Mar 2002 SvdB V4 No arg constructor
//           4 May 2000 SvdB Created 
//          20 Jul 2001 SvdB Added two arg constructor
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
