package org.unicore.ajo;

/**
 * GetJobs returns a list of all the AJOs on a Vsite that
 * were consigned to the Vsite by the user.
 * 
 * @see org.unicore.outcome.GetJobs_Outcome
 *
 * @author S. van den Berghe (fecit)
 *
 * @version GetJobs.java 1.5 09/09/02
 *
 **/
public final class GetJobs extends QueryService {

    static final long serialVersionUID = 7137724443460012275L;

    /**
     * Create a new GetJobs.
     * <p>
     * @param name The name of the GetJobs
     * @param extra_information Client supplied extra information about the GetJobs
     *
     **/
    public GetJobs(String name, byte[] extra_information) {
        super(name,extra_information);
    }
    
    /**
     * Create a new GetJobs.
     * <p>
     * @param name The name of the GetJobs
     *
     **/
    public GetJobs(String name) {
        super(name,(byte[]) null);
    }
    
    public GetJobs() {
        this("");
    }
    
}
// 
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//           5 May 2000 SvdB V3.0 
//           9 Dec 1998 SvdB Constructor to public 
//           7 Dec 1998 SvdB Second release to Unicore 
//           5 Nov 1998 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
