package org.unicore.ajo;

import java.util.Enumeration;

/**
 * The supported linker mapping levels.
 *
 * @see LinkTask
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 1
 *
 * @version LinkMapLevel.java 1.4 05/13/02 
 *
 **/
 
public final class LinkMapLevel extends Enum {

    static final long serialVersionUID = 5849083831644864108L;

    /**
     * No Map data
     *
     **/
    public final static LinkMapLevel NONE = new LinkMapLevel(0,"No link map");

    /**
     * Sensible size.
     *
     **/
    public final static LinkMapLevel ON = new LinkMapLevel(1,"Link Map");

    /**
     * Go to town.
     *
     **/
    public final static LinkMapLevel FULL = new LinkMapLevel(2,"Full link map");


    /**
     * Constructor for this Class.
     *
     * @param aValue The value for this instance.
     * @param aName The name for this instance.
     *
     **/
    private LinkMapLevel(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * Return a enumeration over the instances of LinkMapLevel
     *
     * @return The enumeration
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( NONE.getClass() );
    }

}
//
// Change history:
//           5 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//          12 Jun 1998 SvdB Initial release to Unicore 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
