package org.unicore.ajo;

import java.util.Enumeration;

/**
 * The possible values for the Optimisation levels of a CompileTask.
 * 
 * @see CompileTask
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 1
 *
 * @version OptimisationLevel.java 1.5 09/09/02 
 *
 **/
 
public final class OptimisationLevel extends Enum {

    static final long serialVersionUID = -8950907475555896666L;

    /**
     * Do not do any optmisation.
     *
     **/
    public final static OptimisationLevel NONE = new OptimisationLevel(0,"No optimisation");

    /**
     * Do a reasonable amount.
     *
     **/
    public final static OptimisationLevel DEFAULT = new OptimisationLevel(1,"Safe optimisation");

    /**
     * Go to town.
     *
     **/
    public final static OptimisationLevel AGGRESSIVE = new OptimisationLevel(2,"Aggressive");

    /**
     * Constructor for this Class.
     *
     **/
    private OptimisationLevel(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * An enumeration over the instances of OptimisationLevel
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( NONE.getClass() );
    }

}
//
// Change history:
//           6 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//          12 Jun 1998 SvdB Initial release to Unicore 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
