package org.unicore.ajo;

import java.util.Enumeration;

/**
 * The supported scripting languages for the incarnation of an ExecuteScriptTask.
 * <p>
 * 
 * @see ExecuteScriptTask
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 1
 *
 * @version ScriptType.java 1.4 05/13/02 
 *
 **/
public final class ScriptType extends Enum {

    static final long serialVersionUID = -3577152448362324377L;

    /**
     * Bourne shell
     *
     **/
    public final static ScriptType  SH = new ScriptType(0,"Bourne Shell");

    /**
     * Korn Shell
     *
     **/
    public final static ScriptType KSH = new ScriptType(1,"Korn shell");

    /**
     * C Shell
     *
     **/
    public final static ScriptType CSH = new ScriptType(2,"C shell");

    /**
     * Perl
     *
     **/
    public final static ScriptType PERL = new ScriptType(3,"Perl");

    /**
     * Constructor for this Class.
     *
     **/
    private ScriptType(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * Return a enumeration over the instances of ScriptType
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( SH.getClass() );
    }

}
//
// Change history:
//           5 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//           1 Oct 1998 SvdB Changed values to indexes (their point) 
//          12 Jun 1998 SvdB Initial release to Unicore 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
