package org.unicore.outcome;

import org.unicore.ajo.BookResources;

import org.unicore.resources.ResourceBooking;

/**
 *
 * The result of executing an {@link org.unicore.ajo.BookResources} 
 * which is reference to a booking of resources.
 *
 * @see org.unicore.ajo.BookResources
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version BookResources_Outcome.java 1.5 05/13/02 
 * 
 **/
public class BookResources_Outcome extends AbstractService_Outcome {

    static final long serialVersionUID = -8625996181436030791L;

    public BookResources_Outcome() {
        this(null, null);
    }

    /**
     * Create a new BookResources_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}
     * plus the booking (as a {@link org.unicore.resources.ResourceBooking}).
     *
     * @param source The BookResources for which this Outcome will hold the results.
     * @param initial The status of the BookResources at the time that the Outcome is created.
     *
     **/
    public BookResources_Outcome( BookResources    source,
                                  AbstractActionStatus initial_status
                                      ) {
        super(source, initial_status);
    }

    protected ResourceBooking booking;
    /**
     * Return the booking for the resources.
     * <p>
     * If the task was successful and a booking was made, then
     * this contains a token that the AbstractTask can
     * use to claim the booking (by including it in its resources).
     *
     **/
    public ResourceBooking getBooking() {return booking;}

    /**
     * Set the booking for the resources.
     *
     **/
    public void setBooking(ResourceBooking booking) {this.booking = booking;}

}
//
// Change history:
//          18 Mar 2002 V4, no arg constructor
//          20 Dec 2000 SvdB Removed clone method
//          30 Nov 2000 svdB Added comments, removed booking from constructor
//           5 May 2000 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
