package org.unicore.outcome;

import org.unicore.ajo.CopySpooled;

/**
 * The status and logs of executing a {@link org.unicore.ajo.CopySpooled}.
 * <p>
 * This Outcome reports only on the execution of the CopySpooled
 * as there is no data to return to the user.
 *
 * @see org.unicore.ajo.CopySpooled
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3.5.1
 *
 * @version CopySpooled_Outcome.java 1.2 05/13/02
 * 
 **/
public class CopySpooled_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = -2797724755959800422L;

    public CopySpooled_Outcome() {
        this(null, null);
    }

    /**
     * Create a new CopySpooled_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The CopySpooled for which this Outcome will hold the results.
     * @param initial The status of the CopySpooled at the time that the Outcome is created.
     *
     **/
    public CopySpooled_Outcome(CopySpooled source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history;
//          18 Mar 2002 SvdB V4 no arg constructor
//          01 Nov 2001 SvdB Created  
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
