package org.unicore.outcome;

import org.unicore.ajo.DeclarePortfolio;

/**
 * The status and logs of executing a {@link org.unicore.ajo.DeclarePortfolio}.
 * <p>
 * This Outcome reports only on the execution of the DeclarePortfolio
 * as there is no data to return to the user.
 *
 * @see org.unicore.ajo.DeclarePortfolio
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version DeclarePortfolio_Outcome.java 1.5 05/13/02 
 * 
 **/
public class DeclarePortfolio_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = 7630760876296617061L;

    public DeclarePortfolio_Outcome() {
        this(null,null);
    }

    /**
     * Create a new DeclarePortfolio_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The DeclarePortfolio for which this Outcome will hold the results.
     * @param initial The status of the DeclarePortfolio at the time that the Outcome is created.
     *
     **/
    public DeclarePortfolio_Outcome(DeclarePortfolio source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history;
//          18 Mar 2002 SvdB V4 no arg constructor
//          10 May 2000 SvdB Created  
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
