package org.unicore.outcome;

import org.unicore.ajo.ExecuteScriptTask;

/**
 * The result of executing an {@link org.unicore.ajo.ExecuteScriptTask}.
 *
 * @see org.unicore.ajo.ExecuteScriptTask
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version ExecuteScriptTask_Outcome.java 1.5 05/13/02 
 * 
 **/
public class ExecuteScriptTask_Outcome extends UserTask_Outcome {

    static final long serialVersionUID = -6537950553467057635L;

    public ExecuteScriptTask_Outcome() {
        this(null,null);
    }

    /**
     * Create a new ExecuteScriptTask_Outcome.
     * <p>
     * This will hold the information returned by {@link UserTask_Outcome}
     *
     * @param source The ExecuteScriptTask for which this Outcome will hold the results.
     * @param initial The status of the ExecuteScriptTask at the time that the Outcome is created.
     *
     **/
    public ExecuteScriptTask_Outcome( ExecuteScriptTask source,
                                      AbstractActionStatus initial_status
                                    ) {
        super(source, initial_status);
    }

}
//
// Change history:
//         18 Mar 2002 SvdB V4 no arg constructor
//          5 May 2000 SvdB V3.0 
//         29 Mar 1999 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
