package org.unicore.outcome;

import java.util.Hashtable;

import org.unicore.ajo.ExtendTerminationTime;

/**
 * The result of applying a {@link org.unicore.ajo.ExtendTerminationTime} to an AbstractAction.
 *
 * @see org.unicore.ajo.ExtendTerminationTime
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2
 *
 * @version ExtendTerminationTime_Outcome.java 1.5 05/13/02 
 * 
 **/
public class ExtendTerminationTime_Outcome extends Outcome {

    static final long serialVersionUID = 400;

    public ExtendTerminationTime_Outcome() {
        this(null, null);
    }

    /**
     * Create a new ExtendTerminationTime_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}
     *
     * @param source The ExtendTerminationTime for which this Outcome will hold the results.
     * @param initial The status of the ExtendTerminationTime at the time that the Outcome is created.
     *
     **/
    public ExtendTerminationTime_Outcome(ExtendTerminationTime        source,
                                AbstractActionStatus initial_status) {
        super(source, initial_status);
    }
}
//
// Change history:
//          26 Jul 2002 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
