package org.unicore.outcome;

import org.unicore.ajo.GetResourceDescription;

import org.unicore.sets.ResourceSet;

/**
 * The results of executing a {@link org.unicore.ajo.GetResourceDescription}.
 * <p>
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2.9
 *
 * @version GetResourceDescription_Outcome.java 1.5 05/13/02 
 * 
 **/
public class GetResourceDescription_Outcome extends AbstractService_Outcome {

    static final long serialVersionUID = 1854641913633340828L;

    protected ResourceSet resources;

    public GetResourceDescription_Outcome() {
        this(null,null);
    }

    /**
     * Create a new GetResourceDescription_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome} 
     * plus a description of the Vsite's resources.
     *
     * @param source The GetResourceDescription for which this Outcome will hold the results.
     * @param initial The status of the GetResourceDescription at the time that the Outcome is created.
     *
     **/
    public GetResourceDescription_Outcome( GetResourceDescription    source,
                                 AbstractActionStatus initial_status
                                      ) {
        super(source, initial_status);

        this.resources =  new ResourceSet();
    }

    /**
     * Create a new GetResourceDescription_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome} 
     * plus a description of the Vsite's resources.
     *
     * @param source The GetResourceDescription for which this Outcome will hold the results.
     * @param initial The status of the GetResourceDescription at the time that the Outcome is created.
     * @param resources The resource description
     *
    public GetResourceDescription_Outcome( GetResourceDescription    source,
                                 AbstractActionStatus initial_status,
                                 ResourceSet resources
                                      ) {
        super(source, initial_status);

        this.resources =  resources;
    }

    /**
     * Get the description of the Vsite's resources.
     *
     **/
    public ResourceSet getResources() {return resources;}

    /**
     * Set the description of the Vsite's resources.
     *
     **/
    public void setResources(ResourceSet r) {resources = r;}

}
//
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//          20 Dec 2000 SvdB Removed clone method
//           4 Feb 2000 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
