package org.unicore.outcome;

import org.unicore.ajo.LinkTask;

/**
 * The status and logs of executing a {@link org.unicore.ajo.LinkTask}.
 * <p>
 * The file(s) produced by the link, including any map files,
 * are written to the Uspace. The results returned, including stdout and
 * stderr, retport on the process of the task's execution.
 *
 * @see org.unicore.ajo.LinkTask
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2
 *
 * @version LinkTask_Outcome.java 1.5 05/13/02 
 * 
 **/
public class LinkTask_Outcome extends ExecuteTask_Outcome {

    static final long serialVersionUID = -4101650107607265904L;

    public LinkTask_Outcome() {
        this(null,null);
    }

    /**
     * Create a new LinkTask_Outcome.
     * <p>
     * This will hold the standard information from {@link ExecuteTask_Outcome}.
     *
     * @param source The LinkTask for which this Outcome will hold the results.
     * @param initial The status of the LinkTask at the time that the Outcome is created.
     *
     **/
    public LinkTask_Outcome( LinkTask             source,
                             AbstractActionStatus initial_status
                      ) {
        super(source, initial_status);
    }
    
}
//
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//           5 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//           6 Nov 1998 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
