package org.unicore.outcome;

import org.unicore.Unicore;

/**
 * A structure to hold logging entries for Outcomes.
 * <p>
 * Each log entry is a String whose format is
 * up to the NJS to decide. 
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2
 *
 * @version Log.java 1.6 05/13/02 
 * 
 **/
public class Log extends Unicore {

    static final long serialVersionUID = 5837034301026754926L;

    private StringBuffer log;

    /**
     * Create a new log.
     *
     **/
    public Log() {
        log = new StringBuffer();
    }

    /**
     * Add an entry to the log.
     *
     **/
    public void add(String entry) {log.append(entry);}

    public String toString() {return log.toString();}

    /**
     * Merge the two Logs.
     * <p>
     * The input log is placed at the end of the current log.
     *
     **/
    public void merge(Log input) {
        log.append(input.toString());
    }

}
//
// Change history:
//          20 Dec 2000 SvdB Removed clone method
//           5 May 2000 SvdB V3.0 
//          10 Dec 1998 SvdB SvdB Made constructor public 
//           7 Dec 1998 SvdB Second release to Unicore 
//           6 Nov 1998 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
