package org.unicore.outcome;

import org.unicore.ajo.TestSuccess;

/**
 * The result of executing a {@link org.unicore.ajo.TestSuccess}.
 *
 *
 * @see org.unicore.ajo.TestSuccess
 *
 * @author D. Snelling (Fujitsu Laboratories of Europe)
 * @author S. van den Berghe (Fujitsu Laboratories of Europe)
 * 
 * @since AJO 4.0
 *
 * @version TestSuccess_Outcome.java 1.2 09/18/02
 * 
 **/
public class TestSuccess_Outcome extends AbstractService_Outcome implements Decision {

    static final long serialVersionUID = 400;

    public static String SUCCESSFUL   = "successful";
    public static String NOT_SUCCESSFUL = "not successful";

    public TestSuccess_Outcome() {
        this(null, null);
    }

    /**
     * Create a new TestSuccess_Outcome.
     * <p>
     * @param source The TestSuccess for which this Outcome will hold the results.
     * @param initial The status of the TestSuccess at the time that the Outcome is created.
     *
     **/
    public TestSuccess_Outcome(TestSuccess source, AbstractActionStatus initial_status) {
        super(source, initial_status);
    }

    private String decision = null;
    /**
     * Return the decision produced by the TestSuccess's execution.
     *
     **/
    public String getDecision() {
        return decision;
    }

    /**
     * The target of the TestSuccess was successful
     *
     **/
    public void successful() {
        decision = SUCCESSFUL;
    }

    /**
     * The target of the TestSuccess was not successful
     *
     **/
    public void notSuccessful() {
        decision = NOT_SUCCESSFUL;
    }

}
//
// Change history:
//          13 Sep 2002 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
