package org.unicore.resources;

/**
 * This class describes an application available at a site.
 * <p>
 * As part of a Resource Description this advertisies that the
 * Vsite supports the named application.
 * <p>
 * As part of a Resource Request this says that the Task uses
 * the named application.
 * <p>
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3.6
 *
 * @version Application.java 1.4 05/13/02
 *
 **/
public final class Application extends SoftwareResource {

    static final long serialVersionUID = -1711444095132909694L;

    /**
     * Create a new Application
     *
     * @param description A description of the Application
     * @param name The name of the Application
     * @param version The version of the Application
     *
     **/
    public Application(String description, String name, String version) {
        super (description, name, version);
    }

    /**
     * Create a new Application
     *
     **/
    public Application() {
        this("Application", "", "");
    }

    private String meta_data;

    /**
     * @return Any meta data from teh Vsite for this application's plugin
     *
     **/
    public String getMetaData() {return meta_data;}


    /**
     * Any metadata need by a plugin for this Application. This will usually
     * be in XML format.
     (*
     **/
    public void setMetaData(String meta_data) {this.meta_data = meta_data;}

}
//
// Change history:
//          23 Apr 2002 SvdB Added meta data
//           20022002   SvdB Changed default values (getting equals right)
//           1 Feb 2002 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
