package org.unicore.resources;

/**
 * Resource for floating point processing.
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version FloatingPoint.java 1.10 05/13/02
 *
 **/
public final class FloatingPoint extends PerformanceResource {

    static final long serialVersionUID = 7913572731520947671L;

    public FloatingPoint () {
        this("",0.0,0.0,0.0,0.0);
    }

    /**
     * Create a new FloatingPoint.
     * <p>
     * Sets units to "MegaFlop"
     *
     * @param description A description ofthe FloatingPoint
     * @param maxrequest Maximum amount of resource allowed
     * @param defaultrequest Amount of resource granted if no specific request received
     * @param minrequest Minimum amount of resource allowed
     *
     **/
    public FloatingPoint (String description, 
                          double maxrequest,
                          double defaultrequest,
                          double minrequest,
                          double performance) {
        super (description, maxrequest, defaultrequest, minrequest, performance);
        this.units = "MegaFlop";
    }

    public String toString() {
        return "FloatingPoint";
    }
}
//
// Change history:
//          15 Mar 2002 SvdB V4, no arg constructor
//          14 Aug 2000 DFS Added minimum request.
//          21 Jan 2000 DFS  First release with V3.0 resource model.
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
