package org.unicore.resources;

/**
 * Resource for main Memory. 
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version Memory.java 1.11 05/13/02
 *
 **/
public final class Memory extends CapacityResource {

    static final long serialVersionUID = -5848591242096238291L;

    public Memory () {
        this("",0.0,0.0,0.0);
    }

    /**
     * Create a new Memory.
     * <p>
     * Sets the units to "Megabytes per node"
     *
     * @param description A description of the Memory
     * @param maxrequest Maximum amount of resource allowed
     * @param defaultrequest Amount of resource granted if no specific request received
     * @param minrequest Minimum amount of resource allowed
     *
     **/
    public Memory (String description, 
                   double maxrequest, 
                   double defaultrequest,
                   double minrequest) {
        super(description, maxrequest, defaultrequest, minrequest);
        this.units = "Megabytes per node";
    }

    public String toString() {
        return "Memory";
    }
}
//
// Change history:
//          15 Mar 2002 SvdB V4, no arg constructor
//          14 Aug 2000 DFS Added minimum request.
//          21 Jan 2000 DFS  First release with V3.0 resource model.
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
