package org.unicore.resources;

import org.unicore.ajo.Enum;

import java.util.Enumeration;

/**
 * The possible values to assign to a Task's priority.
 * <p>
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version PriorityValue.java 1.10 05/13/02
 *
 **/
public final class PriorityValue extends Enum {

    static final long serialVersionUID = -9173845465112817488L;

    /**
     * 
     *
     **/
    public final static PriorityValue HIGH         = new PriorityValue(0,"High");

    /**
     * 
     *
     **/
    public final static PriorityValue NORMAL      = new PriorityValue(1,"Normal");

    /**
     * 
     *
     **/
    public final static PriorityValue LOW         = new PriorityValue(2,"Low");

    /**
     * 
     *
     **/
    public final static PriorityValue DEVELOPMENT = new PriorityValue(3,"Development");

    /**
     * 
     *
     **/
    public final static PriorityValue WHENEVER    = new PriorityValue(4,"Whenever");

    /**
     * Constructor for this Class.
     *
     * @param aValue The value for this instance.
     * @param aName The name for this instance.
     *
     **/
    private PriorityValue(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * Return a enumeration over the instances of PriorityValue
     *
     * @return The enumeration
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( HIGH.getClass() );
    }
}
//
// Change history:
//           5 May 2000 SvdB V3.0, moved from ajo 
//           7 Dec 1998 SvdB Second release to Unicore 
//           1 Oct 1998 SvdB Changed values to indexes (their point) 
//          12 Jun 1998 SvdB Initial release to Unicore 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
